This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 53682 - ntsysv --level 2345: effects runlevel settings for unselected services
ntsysv --level 2345: effects runlevel settings for unselected services
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
7.3
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-14 18:13 EDT by Ben Levenson
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-14 18:14:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff of chkconfig before and after changing settings w/ ntsysv (970 bytes, text/plain)
2001-09-14 18:14 EDT, Ben Levenson
no flags Details

  None (edit)
Description Ben Levenson 2001-09-14 18:13:49 EDT
Description of Problem:
running "ntsysv --level 2345" changed settings for services that weren't
supposed to be altered.  The only service I toggled was anacron, but
several other services were enabled for runlevel 2.
Attached is a diff of "chkconfig --list" before and after changing
the anacron settings for levels 2, 3, 4, and 5.

Version-Release number of selected component (if applicable):
ntsysv-1.2.24-1

Steps to Reproduce:
1. chkconfig --list > current.txt
2. ntsysv --level 2345
3. unselect the anacron service
4. chkconfig --list > new.txt
5. diff current.txt new.txt
Comment 1 Ben Levenson 2001-09-14 18:14:55 EDT
Created attachment 31800 [details]
diff of chkconfig before and after changing settings w/ ntsysv
Comment 2 Bill Nottingham 2001-09-17 14:53:38 EDT
It's operating as expected. By passing --level 2345, it's set to edit all those
levels; therefore, any service selected in the interface as 'enabled' will be
enabled on all those levels.

Note You need to log in before you can comment on or make changes to this bug.